# -*- coding: UTF-8 -*-

import os
import logger


def main(body, path, fileName, openMode='wb'):
    """ Получение тела сообщения и запись в файл """
    if not os.access(path, os.F_OK):
        os.makedirs(path)

    logger.getLogger().info('Создаем файл %s/%s и записываем в него полученное тело сообщения'
                            % (path.encode('utf8'), fileName.encode('utf8')))
    filePath = os.path.normpath('%s/%s' % (path, fileName))
    with open(filePath, openMode) as output:
        os.chmod(filePath, 0o777)
        output.write(body)
